<?php

if ( ! function_exists( 'calla_elated_map_post_link_meta' ) ) {
	function calla_elated_map_post_link_meta() {
		$link_post_format_meta_box = calla_elated_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Link Post Format', 'calla' ),
				'name'  => 'post_format_link_meta'
			)
		);
		
		calla_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_post_link_link_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Link', 'calla' ),
				'description' => esc_html__( 'Enter link', 'calla' ),
				'parent'      => $link_post_format_meta_box
			)
		);
	}
	
	add_action( 'calla_elated_meta_boxes_map', 'calla_elated_map_post_link_meta', 24 );
}